# Method: projects.regions.jobs.submit

- [HTTP request](https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.regions.jobs/submit#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.regions.jobs/submit#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.regions.jobs/submit#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.regions.jobs/submit#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.regions.jobs/submit#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.regions.jobs/submit#body.aspect)
- [Try it!](https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.regions.jobs/submit#try-it)

Submits a job to a cluster.

### HTTP request

`POST https://dataproc.googleapis.com/v1/projects/{projectId}/regions/{region}/jobs:submit`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `projectId` | `string` Required. The ID of the Google Cloud Platform project that the job belongs to. Authorization requires one or more of the following [IAM](https://cloud.google.com/iam/docs/) permissions on the specified resource `projectId`: - `dataproc.jobs.create` - `dataproc.clusters.use` |
| `region` | `string` Required. The Dataproc region in which to handle the request. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "job": { object (`https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.regions.jobs#Job`) }, "requestId": string } ``` |

| Fields ||
|---|---|
| `job` | ``object (`https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.regions.jobs#Job`)`` Required. The job resource. |
| `requestId` | `string` Optional. A unique id used to identify the request. If the server receives two [SubmitJobRequest](https://cloud.google.com/dataproc/docs/reference/rpc/google.cloud.dataproc.v1#google.cloud.dataproc.v1.SubmitJobRequest)s with the same id, then the second request will be ignored and the first `https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.regions.jobs#Job` created and stored in the backend is returned. It is recommended to always set this value to a [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier). The id must contain only letters (a-z, A-Z), numbers (0-9), underscores (_), and hyphens (-). The maximum length is 40 characters. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.regions.jobs#Job`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/dataproc`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).